import React from 'react';
import { NavModel } from '@grafana/data';
import Page from 'app/core/components/Page/Page';
import { UpgradeBox } from 'app/core/components/Upgrade/UpgradeBox';
import { connector } from './DataSourceInsights';

export type Props = { navModel: NavModel };

export const DataSourceUpgradePage = ({ navModel }: Props) => {
  return (
    <Page navModel={navModel}>
      <Page.Contents>
        <UpgradeBox
          text={
            'Usage Insights provide detailed information about dashboard and data source usage, like the number of views, queries, and errors users have experienced. You can use this to improve users’ experience and troubleshoot issues.'
          }
        />
      </Page.Contents>
    </Page>
  );
};

export default connector(DataSourceUpgradePage);
